KDE 4.9 PyKDE API Reference

- KDE's Python API

# PluginInterface Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

This class specifies interface of a Marble plugin.

## Methods
QString | aboutDataText (self)
QString | copyrightYears (self)
QString | description (self)
QIcon | icon (self)
QString | name (self)
QString | nameId (self)
[Marble.PluginAuthor] | pluginAuthors (self)
QString | version (self)

## Method Documentation

QString aboutDataText | ( |  | self ) |

Returns about text (credits) for external data the plugin uses.

The default implementation returns the empty string. Please override this method to give credits for all data from 3rd-partys.

QString copyrightYears | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

QString description | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns a user description of the plugin.

QIcon icon | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns an icon for the plugin.

QString name | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the user-visible name of the plugin.

The user-visible name should be context free, i.e. the name should provide enough information as to what the plugin is about in the context of Marble.

Example: "Starry Sky Background", "OpenRouteService Routing"

QString nameId | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the unique name of the plugin.

Examples: "starrysky", "openrouteservice"

[Marble.PluginAuthor] pluginAuthors | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

QString version | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.